Package org.silverpeas.mobile.client.apps.media

## Class MediaApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.media.MediaApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `MediaAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class MediaApp
      extends App
      implements NavigationEventHandler, MediaAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `loadAlbums​(MediasLoadMediaItemsEvent event)` |
    `void` | `loadMediaPreview​(MediaPreviewLoadEvent event)` |
    `void` | `loadMediaShow​(MediaViewShowEvent mediaViewShowEvent)` |
    `void` | `nextMediaView​(MediaViewGetNextEvent mediaViewNextEvent)` |
    `void` | `prevMediaView​(MediaViewGetPreviousEvent mediaViewPreviousEvent)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `startWithContent​(ContentDTO content)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaApp

          public MediaApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### startWithContent

          public void startWithContent​(ContentDTO content)

      Overrides:
        `startWithContent` in class `App`

    - #### loadMediaShow

          public void loadMediaShow​(MediaViewShowEvent mediaViewShowEvent)

      Specified by:
        `loadMediaShow` in interface `MediaAppEventHandler`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`

    - #### loadAlbums

          public void loadAlbums​(MediasLoadMediaItemsEvent event)

      Specified by:
        `loadAlbums` in interface `MediaAppEventHandler`

    - #### loadMediaPreview

          public void loadMediaPreview​(MediaPreviewLoadEvent event)

      Specified by:
        `loadMediaPreview` in interface `MediaAppEventHandler`

    - #### nextMediaView

          public void nextMediaView​(MediaViewGetNextEvent mediaViewNextEvent)

      Specified by:
        `nextMediaView` in interface `MediaAppEventHandler`

    - #### prevMediaView

          public void prevMediaView​(MediaViewGetPreviousEvent mediaViewPreviousEvent)

      Specified by:
        `prevMediaView` in interface `MediaAppEventHandler`